aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRam Krishna Verma <ram.krishna.verma@est.tech>2020-01-13 12:57:50 +0000
committerGerrit Code Review <gerrit@onap.org>2020-01-13 12:57:50 +0000
commit152933f5f5580531ec2f03af6b772a99a8517599 (patch)
treeaebedabccafc1c2a74bf12376defef7287e00386
parenta6f7bac5b758fbb95935fe0a1e9d31caa05dd29a (diff)
parent3f0564e64c7e1f7a95cb5ecaa8649f1d0fe002a6 (diff)
Merge "Support override of xml config files"
-rw-r--r--controlloop/packages/docker-controlloop/src/main/resources/docker-entrypoint.sh22
1 files changed, 13 insertions, 9 deletions
diff --git a/controlloop/packages/docker-controlloop/src/main/resources/docker-entrypoint.sh b/controlloop/packages/docker-controlloop/src/main/resources/docker-entrypoint.sh
index c48cf6422..a1d689a07 100644
--- a/controlloop/packages/docker-controlloop/src/main/resources/docker-entrypoint.sh
+++ b/controlloop/packages/docker-controlloop/src/main/resources/docker-entrypoint.sh
@@ -1,7 +1,7 @@
#!/bin/bash
# ########################################################################
-# Copyright 2019 AT&T Intellectual Property. All rights reserved
+# Copyright 2019-2020 AT&T Intellectual Property. All rights reserved
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
@@ -38,7 +38,7 @@ function maven {
fi
}
-function configurations {
+function systemConfs {
if [[ ${DEBUG} == y ]]; then
echo "-- ${FUNCNAME[0]} --"
set -x
@@ -51,7 +51,7 @@ function configurations {
fi
for c in $(ls "${POLICY_INSTALL_INIT}"/*.conf 2> /dev/null); do
- echo "adding configuration file: ${c}"
+ echo "adding system conf file: ${c}"
cp -f "${c}" "${POLICY_HOME}"/etc/profile.d/
confName="$(basename "${c}")"
sed -i -e "s/ *= */=/" -e "s/=\([^\"\']*$\)/='\1'/" "${POLICY_HOME}/etc/profile.d/${confName}"
@@ -126,18 +126,20 @@ function security {
fi
}
-function properties {
+function serverConfig {
if [[ ${DEBUG} == y ]]; then
echo "-- ${FUNCNAME[0]} --"
set -x
fi
- if ! ls "${POLICY_INSTALL_INIT}"/*.properties > /dev/null 2>&1; then
+ local configExtSuffix=${1:-"properties"}
+
+ if ! ls "${POLICY_INSTALL_INIT}"/*."${configExtSuffix}" > /dev/null 2>&1; then
return 0
fi
- for p in $(ls "${POLICY_INSTALL_INIT}"/*.properties 2> /dev/null); do
- echo "configuration properties: ${p}"
+ for p in $(ls "${POLICY_INSTALL_INIT}"/*."${configExtSuffix}" 2> /dev/null); do
+ echo "configuration ${configExtSuffix}: ${p}"
cp -f "${p}" "${POLICY_HOME}"/config
done
}
@@ -225,11 +227,13 @@ function reload {
set -x
fi
- configurations
+ systemConfs
maven
features
security
- properties
+ serverConfig "properties"
+ serverConfig "xml"
+ serverConfig "json"
scripts "pre.sh"
}